<script lang="ts">
import Vue from 'vue';
import { SlpColumn } from '../../../common/index.vue';

export default Vue.extend({
  name: 'CaseStudyQuote',
  components: { SlpColumn },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div>
    <slp-row class="case-study-quote">
      <SlpColumn :cols="8">
        <a :href="data.url" class="case-study-quote__link">
          <div class="case-study-quote__title-img">
            <img
              v-if="data.title_img"
              :src="data.title_img.url"
              :alt="data.title_img.alt"
            />
          </div>
          <SlpTypography
            class="case-study-quote__body"
            tag="p"
            variant="heading5"
          >
            <i>{{ data.quote }}</i></SlpTypography
          >
          <SlpTypography
            class="case-study-quote__author"
            tag="p"
            variant="body3-bold"
            >- {{ data.author }}</SlpTypography
          >
        </a>
      </SlpColumn>
    </slp-row>
  </div>
</template>

<style scoped lang="scss">
.case-study-quote {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  @media (min-width: $breakpoint-md) {
    flex-wrap: nowrap;
  }

  &__title-img {
    width: 6rem;
    img {
      max-width: 200px;
      max-height: 80px;
    }
  }

  &__body {
    padding: $spacing-16 $spacing-16 $spacing-16 0;
  }

  &__main-img {
    min-width: 250px;
  }
}

.case-study-quote__link {
  color: $color-text-300;
}
</style>
